|         SYSCALL         | SUPPORTED |             ARCHITECTURE             |
|-------------------------|-----------|--------------------------------------|
| _llseek                 | 🟢        | ppc64le                              |
| _newselect              | 🟡        | ppc64le                              |
| accept                  | 🟢        | ppc64le,riscv64,x86_64,aarch64       |
| accept4                 | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| access                  | 🟢        | s390x,ppc64le,x86_64                 |
| acct                    | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| add_key                 | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| adjtimex                | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| alarm                   | 🟡        | s390x,ppc64le,x86_64                 |
| arch_prctl              | 🟡        | x86_64                               |
| bind                    | 🟢        | riscv64,x86_64,aarch64,s390x,ppc64le |
| bpf                     | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| brk                     | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| cachestat               | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| capget                  | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| capset                  | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| chdir                   | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| chmod                   | 🟢        | x86_64,s390x,ppc64le                 |
| chown                   | 🟢        | x86_64,s390x,ppc64le                 |
| chroot                  | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| clock_adjtime           | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| clock_getres            | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| clock_gettime           | 🟡        | riscv64,x86_64,aarch64,s390x,ppc64le |
| clock_nanosleep         | 🟡        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| clock_settime           | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| clone                   | 🟢        | riscv64,x86_64,aarch64,s390x,ppc64le |
| clone3                  | 🟢        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| close                   | 🟢        | riscv64,x86_64,aarch64,s390x,ppc64le |
| close_range             | 🟡        | riscv64,x86_64,aarch64,s390x,ppc64le |
| connect                 | 🟢        | ppc64le,riscv64,x86_64,aarch64,s390x |
| copy_file_range         | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| creat                   | 🟢        | x86_64,s390x,ppc64le                 |
| delete_module           | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| dup                     | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| dup2                    | 🟢        | s390x,ppc64le,x86_64                 |
| dup3                    | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| epoll_create            | 🟢        | x86_64,s390x,ppc64le                 |
| epoll_create1           | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| epoll_ctl               | 🟡        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| epoll_ctl_old           | 🟡        | x86_64                               |
| epoll_pwait             | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| epoll_pwait2            | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| epoll_wait              | 🟢        | ppc64le,x86_64,s390x                 |
| epoll_wait_old          | 🟡        | x86_64                               |
| eventfd                 | 🟢        | x86_64,s390x,ppc64le                 |
| eventfd2                | 🟢        | ppc64le,riscv64,x86_64,aarch64,s390x |
| execve                  | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| execveat                | 🟢        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| exit                    | 🟡        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| exit_group              | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| faccessat               | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| faccessat2              | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| fadvise64               | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| fallocate               | 🟡        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| fanotify_init           | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| fanotify_mark           | 🟡        | riscv64,x86_64,aarch64,s390x,ppc64le |
| fchdir                  | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| fchmod                  | 🟢        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| fchmodat                | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| fchmodat2               | 🟡        | riscv64,x86_64,aarch64,s390x,ppc64le |
| fchown                  | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| fchownat                | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| fcntl                   | 🟢        | riscv64,x86_64,aarch64,s390x,ppc64le |
| fdatasync               | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| fgetxattr               | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| finit_module            | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| flistxattr              | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| flock                   | 🟢        | ppc64le,riscv64,x86_64,aarch64,s390x |
| fork                    | 🟢        | x86_64,s390x,ppc64le                 |
| fremovexattr            | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| fsconfig                | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| fsetxattr               | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| fsmount                 | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| fsopen                  | 🟡        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| fspick                  | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| fstat                   | 🟢        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| fstatfs                 | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| fstatfs64               | 🟡        | ppc64le,s390x                        |
| fsync                   | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| ftruncate               | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| futex                   | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| futex_requeue           | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| futex_wait              | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| futex_waitv             | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| futex_wake              | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| futimesat               | 🟡        | x86_64,s390x,ppc64le                 |
| get_mempolicy           | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| get_robust_list         | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| get_thread_area         | 🟡        | x86_64                               |
| getcpu                  | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| getcwd                  | 🟢        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| getdents                | 🟢        | x86_64,s390x,ppc64le                 |
| getdents64              | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| getegid                 | 🟢        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| geteuid                 | 🟢        | ppc64le,riscv64,x86_64,aarch64,s390x |
| getgid                  | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| getgroups               | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| getitimer               | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| getpeername             | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| getpgid                 | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| getpgrp                 | 🟡        | ppc64le,x86_64,s390x                 |
| getpid                  | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| getppid                 | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| getpriority             | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| getrandom               | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| getresgid               | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| getresuid               | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| getrlimit               | 🟢        | ppc64le,riscv64,x86_64,aarch64,s390x |
| getrusage               | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| getsid                  | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| getsockname             | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| getsockopt              | 🟢        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| gettid                  | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| gettimeofday            | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| getuid                  | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| getxattr                | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| init_module             | 🟢        | riscv64,x86_64,aarch64,s390x,ppc64le |
| inotify_add_watch       | 🟡        | riscv64,x86_64,aarch64,s390x,ppc64le |
| inotify_init            | 🟢        | ppc64le,x86_64,s390x                 |
| inotify_init1           | 🟢        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| inotify_rm_watch        | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| io_cancel               | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| io_destroy              | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| io_getevents            | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| io_pgetevents           | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| io_setup                | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| io_submit               | 🟡        | riscv64,x86_64,aarch64,s390x,ppc64le |
| io_uring_enter          | 🟢        | ppc64le,riscv64,x86_64,aarch64,s390x |
| io_uring_register       | 🟢        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| io_uring_setup          | 🟢        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| ioctl                   | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| ioperm                  | 🟡        | ppc64le,x86_64                       |
| iopl                    | 🟡        | x86_64,ppc64le                       |
| ioprio_get              | 🟡        | riscv64,x86_64,aarch64,s390x,ppc64le |
| ioprio_set              | 🟡        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| ipc                     | 🟡        | s390x,ppc64le                        |
| kcmp                    | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| kexec_file_load         | 🟡        | riscv64,x86_64,aarch64,s390x,ppc64le |
| kexec_load              | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| keyctl                  | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| kill                    | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| landlock_add_rule       | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| landlock_create_ruleset | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| landlock_restrict_self  | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| lchown                  | 🟢        | s390x,ppc64le,x86_64                 |
| lgetxattr               | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| link                    | 🟢        | s390x,ppc64le,x86_64                 |
| linkat                  | 🟢        | riscv64,x86_64,aarch64,s390x,ppc64le |
| listen                  | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| listxattr               | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| llistxattr              | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| lookup_dcookie          | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| lremovexattr            | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| lseek                   | 🟢        | ppc64le,riscv64,x86_64,aarch64,s390x |
| lsetxattr               | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| lstat                   | 🟢        | x86_64,s390x,ppc64le                 |
| madvise                 | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| map_shadow_stack        | 🟡        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| mbind                   | 🟡        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| membarrier              | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| memfd_create            | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| memfd_secret            | 🟡        | x86_64,aarch64,s390x,riscv64         |
| migrate_pages           | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| mincore                 | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| mkdir                   | 🟢        | ppc64le,x86_64,s390x                 |
| mkdirat                 | 🟢        | ppc64le,riscv64,x86_64,aarch64,s390x |
| mknod                   | 🟢        | x86_64,s390x,ppc64le                 |
| mknodat                 | 🟢        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| mlock                   | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| mlock2                  | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| mlockall                | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| mmap                    | 🟢        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| modify_ldt              | 🟡        | ppc64le,x86_64                       |
| mount                   | 🟢        | ppc64le,riscv64,x86_64,aarch64,s390x |
| mount_setattr           | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| move_mount              | 🟡        | riscv64,x86_64,aarch64,s390x,ppc64le |
| move_pages              | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| mprotect                | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| mq_getsetattr           | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| mq_notify               | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| mq_open                 | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| mq_timedreceive         | 🟡        | riscv64,x86_64,aarch64,s390x,ppc64le |
| mq_timedsend            | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| mq_unlink               | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| mremap                  | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| msgctl                  | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| msgget                  | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| msgrcv                  | 🟡        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| msgsnd                  | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| msync                   | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| multiplexer             | 🟡        | ppc64le                              |
| munlock                 | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| munlockall              | 🟢        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| munmap                  | 🟢        | ppc64le,riscv64,x86_64,aarch64,s390x |
| name_to_handle_at       | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| nanosleep               | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| newfstatat              | 🟡        | riscv64,x86_64,aarch64,s390x,ppc64le |
| nice                    | 🟡        | s390x,ppc64le                        |
| oldfstat                | 🟡        | ppc64le                              |
| oldlstat                | 🟡        | ppc64le                              |
| oldolduname             | 🟡        | ppc64le                              |
| oldstat                 | 🟡        | ppc64le                              |
| olduname                | 🟡        | ppc64le                              |
| open                    | 🟢        | x86_64,s390x,ppc64le                 |
| open_by_handle_at       | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| open_tree               | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| openat                  | 🟢        | riscv64,x86_64,aarch64,s390x,ppc64le |
| openat2                 | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| pause                   | 🟡        | x86_64,s390x,ppc64le                 |
| pciconfig_iobase        | 🟡        | ppc64le                              |
| pciconfig_read          | 🟡        | ppc64le                              |
| pciconfig_write         | 🟡        | ppc64le                              |
| perf_event_open         | 🟡        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| personality             | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| pidfd_getfd             | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| pidfd_open              | 🟢        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| pidfd_send_signal       | 🟡        | riscv64,x86_64,aarch64,s390x,ppc64le |
| pipe                    | 🟢        | x86_64,s390x,ppc64le                 |
| pipe2                   | 🟢        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| pivot_root              | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| pkey_alloc              | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| pkey_free               | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| pkey_mprotect           | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| poll                    | 🟢        | x86_64,s390x,ppc64le                 |
| ppoll                   | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| prctl                   | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| pread64                 | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| preadv                  | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| preadv2                 | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| prlimit64               | 🟢        | ppc64le,riscv64,x86_64,aarch64,s390x |
| process_madvise         | 🟡        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| process_mrelease        | 🟡        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| process_vm_readv        | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| process_vm_writev       | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| pselect6                | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| ptrace                  | 🟢        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| pwrite64                | 🟢        | ppc64le,riscv64,x86_64,aarch64,s390x |
| pwritev                 | 🟢        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| pwritev2                | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| quotactl                | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| quotactl_fd             | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| read                    | 🟢        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| readahead               | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| readdir                 | 🟡        | s390x,ppc64le                        |
| readlink                | 🟡        | x86_64,s390x,ppc64le                 |
| readlinkat              | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| readv                   | 🟢        | ppc64le,riscv64,x86_64,aarch64,s390x |
| reboot                  | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| recv                    | 🟢        | ppc64le                              |
| recvfrom                | 🟢        | riscv64,x86_64,aarch64,s390x,ppc64le |
| recvmmsg                | 🟢        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| recvmsg                 | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| remap_file_pages        | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| removexattr             | 🟡        | riscv64,x86_64,aarch64,s390x,ppc64le |
| rename                  | 🟢        | ppc64le,x86_64,s390x                 |
| renameat                | 🟢        | ppc64le,x86_64,aarch64,s390x         |
| renameat2               | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| request_key             | 🟡        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| restart_syscall         | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| riscv_flush_icache      | 🟡        | riscv64                              |
| riscv_hwprobe           | 🟡        | riscv64                              |
| rmdir                   | 🟢        | s390x,ppc64le,x86_64                 |
| rseq                    | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| rt_sigaction            | 🟡        | riscv64,x86_64,aarch64,s390x,ppc64le |
| rt_sigpending           | 🟡        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| rt_sigprocmask          | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| rt_sigqueueinfo         | 🟡        | riscv64,x86_64,aarch64,s390x,ppc64le |
| rt_sigreturn            | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| rt_sigsuspend           | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| rt_sigtimedwait         | 🟡        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| rt_tgsigqueueinfo       | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| rtas                    | 🟡        | ppc64le                              |
| s390_guarded_storage    | 🟡        | s390x                                |
| s390_pci_mmio_read      | 🟡        | s390x                                |
| s390_pci_mmio_write     | 🟡        | s390x                                |
| s390_runtime_instr      | 🟡        | s390x                                |
| s390_sthyi              | 🟡        | s390x                                |
| sched_get_priority_max  | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| sched_get_priority_min  | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| sched_getaffinity       | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| sched_getattr           | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| sched_getparam          | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| sched_getscheduler      | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| sched_rr_get_interval   | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| sched_setaffinity       | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| sched_setattr           | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| sched_setparam          | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| sched_setscheduler      | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| sched_yield             | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| seccomp                 | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| select                  | 🟢        | ppc64le,x86_64,s390x                 |
| semctl                  | 🟢        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| semget                  | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| semop                   | 🟢        | riscv64,x86_64,aarch64               |
| semtimedop              | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| send                    | 🟢        | ppc64le                              |
| sendfile                | 🟢        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| sendmmsg                | 🟢        | ppc64le,riscv64,x86_64,aarch64,s390x |
| sendmsg                 | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| sendto                  | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| set_mempolicy           | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| set_mempolicy_home_node | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| set_robust_list         | 🟡        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| set_thread_area         | 🟡        | x86_64                               |
| set_tid_address         | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| setdomainname           | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| setfsgid                | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| setfsuid                | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| setgid                  | 🟢        | riscv64,x86_64,aarch64,s390x,ppc64le |
| setgroups               | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| sethostname             | 🟡        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| setitimer               | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| setns                   | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| setpgid                 | 🟢        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| setpriority             | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| setregid                | 🟡        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| setresgid               | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| setresuid               | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| setreuid                | 🟡        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| setrlimit               | 🟢        | riscv64,x86_64,aarch64,s390x,ppc64le |
| setsid                  | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| setsockopt              | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| settimeofday            | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| setuid                  | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| setxattr                | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| sgetmask                | 🟡        | ppc64le                              |
| shmat                   | 🟡        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| shmctl                  | 🟡        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| shmdt                   | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| shmget                  | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| shutdown                | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| sigaction               | 🟡        | s390x,ppc64le                        |
| sigaltstack             | 🟡        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| signal                  | 🟡        | s390x,ppc64le                        |
| signalfd                | 🟢        | ppc64le,x86_64,s390x                 |
| signalfd4               | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| sigpending              | 🟡        | s390x,ppc64le                        |
| sigprocmask             | 🟡        | s390x,ppc64le                        |
| sigreturn               | 🟡        | s390x,ppc64le                        |
| sigsuspend              | 🟡        | s390x,ppc64le                        |
| socket                  | 🟢        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| socketcall              | 🟡        | s390x,ppc64le                        |
| socketpair              | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| splice                  | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| spu_create              | 🟡        | ppc64le                              |
| spu_run                 | 🟡        | ppc64le                              |
| ssetmask                | 🟡        | ppc64le                              |
| stat                    | 🟢        | x86_64,s390x,ppc64le                 |
| statfs                  | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| statfs64                | 🟡        | ppc64le,s390x                        |
| statx                   | 🟡        | riscv64,x86_64,aarch64,s390x,ppc64le |
| stime                   | 🟡        | ppc64le                              |
| subpage_prot            | 🟡        | ppc64le                              |
| swapcontext             | 🟡        | ppc64le                              |
| swapoff                 | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| swapon                  | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| switch_endian           | 🟡        | ppc64le                              |
| symlink                 | 🟢        | s390x,ppc64le,x86_64                 |
| symlinkat               | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| sync                    | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| sync_file_range         | 🟡        | x86_64,aarch64,s390x,riscv64         |
| sync_file_range2        | 🟡        | ppc64le                              |
| syncfs                  | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| sys_debug_setcontext    | 🟡        | ppc64le                              |
| sysfs                   | 🟡        | x86_64,s390x,ppc64le                 |
| sysinfo                 | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| syslog                  | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| tee                     | 🟡        | riscv64,x86_64,aarch64,s390x,ppc64le |
| tgkill                  | 🟢        | ppc64le,riscv64,x86_64,aarch64,s390x |
| time                    | 🟡        | x86_64,ppc64le                       |
| timer_create            | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| timer_delete            | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| timer_getoverrun        | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| timer_gettime           | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| timer_settime           | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| timerfd                 | 🟡        | s390x                                |
| timerfd_create          | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| timerfd_gettime         | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| timerfd_settime         | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| times                   | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| tkill                   | 🟢        | riscv64,x86_64,aarch64,s390x,ppc64le |
| truncate                | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| ugetrlimit              | 🟢        | ppc64le                              |
| umask                   | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| umount                  | 🟢        | s390x,ppc64le                        |
| umount2                 | 🟢        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| uname                   | 🟡        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| unlink                  | 🟢        | x86_64,s390x,ppc64le                 |
| unlinkat                | 🟢        | s390x,ppc64le,riscv64,x86_64,aarch64 |
| unshare                 | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| userfaultfd             | 🟢        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| ustat                   | 🟡        | x86_64,s390x,ppc64le                 |
| utime                   | 🟡        | x86_64,s390x,ppc64le                 |
| utimensat               | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| utimes                  | 🟡        | ppc64le,x86_64,s390x                 |
| vfork                   | 🟢        | x86_64,s390x,ppc64le                 |
| vhangup                 | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| vm86                    | 🟡        | ppc64le                              |
| vmsplice                | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| wait4                   | 🟡        | ppc64le,riscv64,x86_64,aarch64,s390x |
| waitid                  | 🟡        | x86_64,aarch64,s390x,ppc64le,riscv64 |
| waitpid                 | 🟡        | ppc64le                              |
| write                   | 🟢        | aarch64,s390x,ppc64le,riscv64,x86_64 |
| writev                  | 🟢        | x86_64,aarch64,s390x,ppc64le,riscv64 |
